<p class="input-group">
    <input type="text" class="form-control" id="{{myid}}" name="{{myname}}" datepicker-popup="{{format}}" ng-model="model" is-open="opened" datepicker-options="dateOptions"
           ui-date-format="mm/dd/yyyy" ng-required="true" close-text="Close"  />
      <span class="input-group-btn">
        <button type="button" class="btn btn-default" ng-click="open($event)"><i class="glyphicon glyphicon-calendar"></i></button>
      </span>
</p>